import 'package:app_hit_a_wod/src/utils/fontello/my_flutter_app_icons.dart';
import 'package:flutter/material.dart';
import 'package:flutter_neumorphic/flutter_neumorphic.dart';

import '../../styles.dart';

class ConfigurationPage extends StatelessWidget {
  const ConfigurationPage({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return neuScaffoldDetail(
      context: context,
      title: Text("Configuración", style: Theme.of(context).textTheme.subhead.copyWith(fontWeight: FontWeight.w500, fontSize: 18)),
      action: FlatButton(
        child: Text(''),
        onPressed: () {}
      ),
      body: SingleChildScrollView(
        padding: EdgeInsets.symmetric(horizontal: 20),
        child: Container(
          padding: EdgeInsets.symmetric(vertical:20.0),
          width: double.infinity,
          child: Column(
            children: <Widget>[
              neuButton(
                NeumorphicButton(
                  padding: EdgeInsets.all(20),
                  style: neuButtonStyle(),
                  boxShape: NeumorphicBoxShape.roundRect(BorderRadius.circular(10)),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      Expanded(
                        child: Row(
                          children: <Widget>[
                            Icon(MyFlutterApp.hammer, color: colors["text"], size: 20),
                            SizedBox(width: 20),
                            Text("Términos y Condiciones", style: Theme.of(context).textTheme.body1,),
                          ],
                        ),
                      ),
                      Container(
                        child: Icon(MyFlutterApp.right_arrow, color: colors["text"], size: 15),
                      ),
                      
                    ],
                  ),
                  onClick: () {
                    Navigator.pushNamed(context, 'legal');
                  },
                ),
                borderRadius: BorderRadius.circular(10),
                width: double.infinity
              )
            ]
          )
        )
      )
    );
  }
}